Subject: Re: bug#18494: 24.4.50; defclass creates undocumented *-list-p function

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 30 Jan 2022 22:21:19 +0100

Stefan Monnier <[email-masked]> writes:

>> I'm not that familiar with the nuances of typep, but if there is now
>> a typep built into Emacs, EIEIO will need to remove it's local copy of
>> an old typep,
>
> I removed eieio--typep and used cl-typep instead (one of the benefits
> of cl-lib is that it's OK to load it at run time).
>
>> and I could certainly convert over to using something list (list foo).
>
> Please try it.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This was seven years ago, and apparently defclass still creates the
undocumented -list-p functions.  Is the consensus that they should be
removed?  Perhaps we should generate them as obsolete functions, to
allow third-party usages of them to be notified?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no